import { Sidebar } from "../../components/Sidebar";
import { getSidebarStructure } from "../../lib/docs";

export default function DocsLayout({
    children,
}: {
    children: React.ReactNode;
}) {
    const sidebarData = getSidebarStructure();

    return (
        <>
            <Sidebar sidebarData={sidebarData} />
            <main className="doc-main">
                {children}
            </main>
        </>
    );
}
